<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/md_grey_100">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:background="@drawable/bg_index"/>

    <!-- 搜索框,暂时隐藏 -->
    <LinearLayout
        android:id="@+id/search_and_scan"
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:layout_marginLeft="15dp"
        android:layout_marginRight="15dp"
        android:layout_marginTop="@dimen/dp_10"
        android:gravity="center_vertical"
        android:visibility="gone"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/search_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@color/md_orange_STO"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingBottom="5dp"
            android:visibility="visible"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="5dp">
            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_search"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:text="@string/search"
                android:textColor="@color/white" />
        </LinearLayout>
        <ImageView
            android:id="@+id/ima_or_code"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:visibility="visible"
            android:src="@drawable/ic_scanning_white" />
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/search_and_scan"
        android:layout_marginTop="30dp"
        android:fillViewport="true"
        android:scrollbars="vertical"
        android:paddingLeft="15dp"
        android:paddingRight="15dp">

        <LinearLayout
            style="@style/LinearLayoutCornerStyle"
            android:orientation="vertical">
            <LinearLayout
                android:id="@+id/ll_menu_type"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <LinearLayout
                    android:id="@+id/ll_put_in_menu_tc"
                    style="@style/LinearLayoutCornerStyle"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10"
                    android:visibility="visible">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/index_put_in"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:textStyle="bold" />

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            android:id="@+id/ivt_putin_photos"
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:drawableTop="@drawable/ic_putin_photos"
                            android:drawablePadding="5dp"
                            android:text="快递入库" />

                        <TextView
                            android:id="@+id/ivt_putin_pallet"
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:drawableTop="@drawable/ic_tray"
                            android:drawablePadding="5dp"
                            android:text="托盘入库" />

                    </TableRow>

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            android:id="@+id/ivt_tally"
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="打板操作" />

                        <TextView
                            android:id="@+id/ivt_check"
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:drawableTop="@drawable/ic_kccx"
                            android:drawablePadding="5dp"
                            android:text="开箱查验" />


                    </TableRow>


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_put_out_menu_tc"
                    style="@style/LinearLayoutCornerStyle"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10"
                    android:visibility="visible">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="出库"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:textStyle="bold" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/index_put_out"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:visibility="gone"
                        android:textStyle="bold" />

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_cargo_storage"
                            android:drawableTop="@drawable/ic_shift"
                            android:drawablePadding="5dp"
                            android:text="@string/str_cargo_storage" />
                    </TableRow>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_tool"
                    style="@style/LinearLayoutCornerStyle"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10"
                    android:visibility="visible">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="工具"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:textStyle="bold" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/index_put_out"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:visibility="gone"
                        android:textStyle="bold" />

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_add_work_order"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="添加工单" />
                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_handle_work_order"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="处理工单" />

                    </TableRow>

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_order_tool"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="工具" />


                    </TableRow>


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_detection"
                    style="@style/LinearLayoutCornerStyle"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10"
                    android:visibility="visible">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="检测"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:textStyle="bold" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/index_put_out"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:visibility="gone"
                        android:textStyle="bold" />



                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_detection_box_putin"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="单箱入库" />

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_detection_tray_putin"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="托盘入库" />

                    </TableRow>

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">



                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_detection_tray_make"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="托盘清点" />

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_scan_photos"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="扫码拍照" />

                    </TableRow>

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            android:id="@+id/ivt_detection_make_box"
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="检修装箱" />


                    </TableRow>



                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:visibility="gone"
                        android:weightSum="2">
                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_detection_putaway"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="单箱上架" />
                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_detection_destroy_outbound"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="销毁出库" />


                    </TableRow>
                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:visibility="gone"
                        android:weightSum="2">
                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_detection_work"
                            android:drawableTop="@drawable/ic_mapan"
                            android:drawablePadding="5dp"
                            android:text="检测作业" />
                    </TableRow>

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_menu_type_hk"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <LinearLayout
                    android:id="@+id/ll_hong_kong"
                    style="@style/LinearLayoutCornerStyle"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10"
                    android:visibility="visible">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="香港入库操作"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        android:textStyle="bold" />


                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_hk_putin"
                            android:drawableTop="@drawable/ic_putin"
                            android:drawablePadding="5dp"
                             android:text="入库扫描" />
                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_hk_tally"
                            android:drawableTop="@drawable/ic_shift"
                            android:drawablePadding="5dp"
                            android:text="打板入库" />

                    </TableRow>
                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"
                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_hk_outbound"
                            android:drawableTop="@drawable/ic_shift"
                            android:drawablePadding="5dp"
                            android:text="出库校验" />
                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_hk_pallet_location"
                            android:drawableTop="@drawable/ic_bind_location"
                            android:drawablePadding="5dp"
                            android:text="托盘绑定库位" />

                    </TableRow>

                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/t12"

                        android:weightSum="2">

                        <TextView
                            style="@style/ImageViewWithTextStyle.FontSize"
                            android:id="@+id/ivt_hk_pickup"
                            android:drawableTop="@drawable/ic_hk_pickup"
                            android:drawablePadding="5dp"
                            android:text="出库拣货" />


                    </TableRow>

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
